import { SortType, SortOrder } from "./types";
import { ElasticsearchFieldPlugin } from "./plugins";
interface CreateSortParams {
    sort: string[];
    defaults?: {
        field?: string;
        order?: SortOrder;
        unmappedType?: string;
    };
    fieldPlugins: Record<string, ElasticsearchFieldPlugin>;
}
export declare const createSort: (params: CreateSortParams) => SortType;
export {};
