import { Client } from "@elastic/elasticsearch";
import { PluginsContainer } from "@webiny/plugins";
interface OnExists {
    (): void;
}
interface OnError {
    (ex: Error): Error;
}
interface CreateIndexParams {
    client: Client;
    plugins: PluginsContainer;
    type: string;
    tenant: string;
    locale: string;
    index: string;
    onExists?: OnExists;
    onError?: OnError;
}
export declare const createIndex: (params: CreateIndexParams) => Promise<void>;
export {};
