import { ElasticsearchBoolQueryConfig } from "./types";
import { ElasticsearchFieldPlugin } from "./plugins/definition/ElasticsearchFieldPlugin";
import { ElasticsearchQueryBuilderOperatorPlugin } from "./plugins/definition/ElasticsearchQueryBuilderOperatorPlugin";
declare type Records<T> = Record<string, T>;
export interface ApplyWhereParams {
    query: ElasticsearchBoolQueryConfig;
    where: Records<any>;
    fields: Records<ElasticsearchFieldPlugin>;
    operators: Records<ElasticsearchQueryBuilderOperatorPlugin>;
}
export interface ParseWhereKeyResult {
    field: string;
    operator: string;
}
export declare const parseWhereKey: (key: string) => ParseWhereKeyResult;
export declare const applyWhere: (params: ApplyWhereParams) => void;
export {};
